class Users::ConfirmationsController < Devise::ConfirmationsController
  clear_respond_to
  respond_to :json

  def show
    super do |resource|
      if resource.errors.empty?
        render json: resource, status: :ok
      else
        render json: {
          message: 'Record invalid',
          errors: resource.errors.full_messages
        }, status: :unprocessable_entity
      end
      return
    end
  end
end